Package org.pgpainless.key.protection

# Class UnlockSecretKey

java.lang.Object
org.pgpainless.key.protection.UnlockSecretKey

public final class UnlockSecretKey extends Object

## Method Summary

Modifier and Type
Method
Description
`static org.bouncycastle.openpgp.PGPPrivateKey`
`unlockSecretKey(org.bouncycastle.openpgp.PGPSecretKey secretKey, org.bouncycastle.openpgp.operator.PBESecretKeyDecryptor decryptor)`
`static org.bouncycastle.openpgp.PGPPrivateKey`
`unlockSecretKey(org.bouncycastle.openpgp.PGPSecretKey secretKey, SecretKeyRingProtector protector)`
`static org.bouncycastle.openpgp.PGPPrivateKey`
`unlockSecretKey(org.bouncycastle.openpgp.PGPSecretKey secretKey, Passphrase passphrase)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### unlockSecretKey

public static org.bouncycastle.openpgp.PGPPrivateKey unlockSecretKey(org.bouncycastle.openpgp.PGPSecretKey secretKey, SecretKeyRingProtector protector) throws org.bouncycastle.openpgp.PGPException, KeyIntegrityException

Throws:
  `org.bouncycastle.openpgp.PGPException`
  `KeyIntegrityException`

### unlockSecretKey

public static org.bouncycastle.openpgp.PGPPrivateKey unlockSecretKey(org.bouncycastle.openpgp.PGPSecretKey secretKey, org.bouncycastle.openpgp.operator.PBESecretKeyDecryptor decryptor) throws org.bouncycastle.openpgp.PGPException

Throws:
  `org.bouncycastle.openpgp.PGPException`

### unlockSecretKey

public static org.bouncycastle.openpgp.PGPPrivateKey unlockSecretKey(org.bouncycastle.openpgp.PGPSecretKey secretKey, Passphrase passphrase) throws org.bouncycastle.openpgp.PGPException, KeyIntegrityException

Throws:
  `org.bouncycastle.openpgp.PGPException`
  `KeyIntegrityException`